
#include "block.h"

Block::Block( int color ) {
	this->_color = new int;
	this->setColor( color ) ;
}

Block::~Block () {
	delete this->_color;
}

Block::Block( const Block &src ) {
	this->_color = new int;
	this->setColor( src.color() );
}

void Block::operator=( const Block &src ) {
	this->_color = new int;
	this->setColor( src.color() );
}

int Block::color () const { 
	return *(this->_color);
}

void Block::setColor( int color ) {
	*(this->_color) = color;
}

bool Block::operator==( const Block& cmp ) {
	return ( this->color() == cmp.color() );
}

