
#ifndef BLOCK_H
#define BLOCK_H

#include <iostream>
using namespace std;

class Block { 
	
	private:

		int *_color;

	public:
		
		const static int empty = 0;

		Block( int = 0 );
		~Block();
		Block( const Block& );
		void operator=( const Block& );

		int color() const;

		void setColor( int );

		bool operator==( const Block& );
};

#endif

